\documentclass[11pt]{standalone}
\usepackage{stanli}

\begin{document}
    
\begin{tikzpicture}
%\draw[help lines]
%(-5,-5) grid (14,13);

\scaling{1.3}

\point{a}{0}{3};
\point{b}{4}{3};
\point{c}{4}{0};
\point{d}{4}{-1.0}; % Label positioning
\point{e}{4}{-0.5}; % Prescribed displacement positioning

\beam{1}{a}{b};
\beam{1}{b}{c};

\support{1}{a};
\support{3}{c};

\lineload{1}{b}{c};
\load{1}{d}[90];

\dimensioning{1}{a}{b}{-1.4}[$6$~m];
\dimensioning{2}{b}{c}{-1.8}[$4$~m];

\notation{1}{a}{$\bf 1$}[above];
\notation{1}{b}{$\bf 2$}[above];
\notation{1}{c}{$\bf 3$}[above left=1mm];

\notation{5}{b}{c}[$15$~kNm$^{-1}$][0.5][above = 13mm];
\notation{1}{e}{$2$~mm}[right];

%% Cross-section
\point{e}{0.5}{0.5};
\point{f}{1.1}{0.5};
\point{g}{1.1}{1.3};
\point{h}{0.5}{1.3};

\beam{2}{e}{f}[1];
\beam{2}{f}{g}[1];
\beam{2}{g}{h}[1];
\beam{2}{h}{e}[1];

\dimensioning{1}{e}{f}{0.0}[$0.2$];
\dimensioning{2}{f}{g}{0.0}[$0.4$];

\end{tikzpicture}

\end{document}